*$ CREATE USROUT.FOR
*COPY USROUT
*
*=== usrout ===========================================================*
*
      SUBROUTINE USROUT ( WHAT, SDUM )

      INCLUDE '(DBLPRC)'
      INCLUDE '(DIMPAR)'
      INCLUDE '(IOUNIT)'
*
!** The 'FLTEST.INC' contains the test histogram data
      INCLUDE 'FLTEST.INC'
!** <end of custom insertion>
*
*----------------------------------------------------------------------*
*                                                                      *
*     Copyright (C) 1991-2005      by    Alfredo Ferrari & Paola Sala  *
*     All Rights Reserved.                                             *
*                                                                      *
*                                                                      *
*     USeR OUTput: this routine is called every time the USROCALL card *
*                  is found in the input stream                        *
*                                                                      *
*                                                                      *
*     Created on 01 january 1991   by    Alfredo Ferrari & Paola Sala  *
*                                                   Infn - Milan       *
*                                                                      *
*     Last change on 20-mar-05     by    Alfredo Ferrari               *
*                                                                      *
*                                                                      *
*----------------------------------------------------------------------*
*
      DIMENSION WHAT (6)
      CHARACTER SDUM*8
*
!** Writing the test histogram data to the log
!
      BINCNT = HISTMN + 0.5*HISTDE
      CNTTOT = ZERZER
      WRITE (*,*) 
     &'\n### Test histogram: <bin #>,<bin center, MeV>,<bin count>'
      DO I = 0, NDVHST - 1
         WRITE(*,*) I+1,',',1e3*BINCNT,',',FLHIST(I)
         CNTTOT = CNTTOT + FLHIST(I)
         BINCNT = BINCNT + HISTDE
      END DO
      WRITE (*,*) '### Total counts:',CNTTOT
!** <end of custom insertion>
!
      RETURN
*=== End of subroutine Usrout =========================================*
      END

